> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Network Overview

This endpoint returns a summary of key statistics for the whole network including effectiveness and its components, delegator and validator annual percentage yields (APY), staking metrics, and duty-specific rewards.

<Note>
  On the `1d` time period, the APY takes into account the rewards received for the last 3 days to smooth out the noise given Solana's staking rewards schedule, which is every epoch (\~2 days).
</Note>


## OpenAPI

````yaml get /v1/solana/network/overview
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v1/solana/network/overview:
    get:
      tags:
        - Solana Network
      summary: Get Network Overview
      operationId: get_network_overview_v1_solana_network_overview_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/SolanaNetworkOverview'
                type: array
                title: Response Get Network Overview V1 Solana Network Overview Get
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    SolanaNetworkOverview:
      properties:
        timeWindow:
          $ref: '#/components/schemas/TimeWindow'
        networkEffectiveness:
          type: number
          title: Networkeffectiveness
        networkVoteSuccessRate:
          type: number
          title: Networkvotesuccessrate
        networkMissedBlocksRate:
          type: number
          title: Networkmissedblocksrate
        networkVotingLatency:
          type: number
          title: Networkvotinglatency
        validatorApy:
          type: number
          title: Validatorapy
        netValidatorApy:
          type: number
          title: Netvalidatorapy
        delegatorApy:
          type: number
          title: Delegatorapy
        rewardsSolanaVoting:
          type: string
          title: Rewardssolanavoting
        rewardsSolanaProposals:
          type: string
          title: Rewardssolanaproposals
        rewardsSolanaMev:
          type: string
          title: Rewardssolanamev
        rewardsSolanaRent:
          type: string
          title: Rewardssolanarent
        activeValidatorCount:
          type: integer
          minimum: 0
          title: Activevalidatorcount
        activeValidatorDiff:
          type: integer
          title: Activevalidatordiff
        totalDelegatedStake:
          type: string
          title: Totaldelegatedstake
        activeDelegatorStakeAccountCount:
          type: integer
          minimum: 0
          title: Activedelegatorstakeaccountcount
        activeDelegatorStakeAccountCountDiff:
          type: integer
          title: Activedelegatorstakeaccountcountdiff
        activeDelegatorWithdrawAuthorityCount:
          type: integer
          minimum: 0
          title: Activedelegatorwithdrawauthoritycount
        activeDelegatorWithdrawAuthorityCountDiff:
          type: integer
          title: Activedelegatorwithdrawauthoritycountdiff
        stakeAccountWithdrawAuthorityRatio:
          type: string
          title: Stakeaccountwithdrawauthorityratio
        activeDelegatorStakeAuthorityCount:
          type: integer
          minimum: 0
          title: Activedelegatorstakeauthoritycount
        activeDelegatorStakeAuthorityCountDiff:
          type: integer
          title: Activedelegatorstakeauthoritycountdiff
        stakeAccountStakeAuthorityRatio:
          type: string
          title: Stakeaccountstakeauthorityratio
        networkEffectivenessDiff:
          type: string
          title: Networkeffectivenessdiff
        giniCoefficient:
          type: string
          title: Ginicoefficient
        deactivatingStakeAccounts:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Deactivatingstakeaccounts
      type: object
      required:
        - timeWindow
        - networkEffectiveness
        - networkVoteSuccessRate
        - networkMissedBlocksRate
        - networkVotingLatency
        - validatorApy
        - netValidatorApy
        - delegatorApy
        - rewardsSolanaVoting
        - rewardsSolanaProposals
        - rewardsSolanaMev
        - rewardsSolanaRent
        - activeValidatorCount
        - activeValidatorDiff
        - totalDelegatedStake
        - activeDelegatorStakeAccountCount
        - activeDelegatorStakeAccountCountDiff
        - activeDelegatorWithdrawAuthorityCount
        - activeDelegatorWithdrawAuthorityCountDiff
        - stakeAccountWithdrawAuthorityRatio
        - activeDelegatorStakeAuthorityCount
        - activeDelegatorStakeAuthorityCountDiff
        - stakeAccountStakeAuthorityRatio
        - networkEffectivenessDiff
        - giniCoefficient
        - deactivatingStakeAccounts
      title: SolanaNetworkOverview
      examples:
        - activeDelegatorStakeAccountCount: 999
          activeDelegatorStakeAccountCountDiff: 999
          activeDelegatorStakeAuthorityCount: 999
          activeDelegatorStakeAuthorityCountDiff: 999
          activeDelegatorWithdrawAuthorityCount: 999
          activeDelegatorWithdrawAuthorityCountDiff: 999
          activeValidatorCount: 999
          activeValidatorDiff: -10
          deactivating_stake_accounts: 10
          delegatorApr: 0.999
          giniCoefficient: 0.999
          netValidatorApr: 0.998
          networkEffectiveness: 0.999
          networkEffectivenessDiff: 0.999
          networkMissedBlocksRate: 0.999
          networkVoteSuccessRate: 0.999
          networkVotingLatency: 0.999
          rewardsSolanaMev: 0.999
          rewardsSolanaProposals: 0.999
          rewardsSolanaRent: 0.999
          rewardsSolanaVoting: 0.999
          stakeAccountStakeAuthorityRatio: 0.999
          stakeAccountWithdrawAuthorityRatio: 0.999
          timeWindow: 30d
          totalDelegatedStake: 999
          validatorApr: 0.999
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    TimeWindow:
      type: string
      enum:
        - 1d
        - 7d
        - 30d
        - all
      title: TimeWindow
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````